package com.steering.pss.sale.order.model;

/**
 * 客户Alpha成分要求表实体类
 * 
 * @author Administrator PDY 2015-03-09
 * 
 */
public class SlmCustChemObject implements java.io.Serializable {
	/**
	 * 客户Alpha编号
	 */
	private String custAlphaNo;
	/**
	 * 成分标准索引号
	 */
	private String cic;
	/**
	 * 序号
	 */
	private String indexSeq;
	/**
	 * 化学元素代码
	 */
	private String chemCode;
	/**
	 * 化学元素描述
	 */
	private String chemName;
	/**
	 * 化学元素类型(A:单一元素,B:复合元素)
	 */
	private String chemType;
	/**
	 * 复合元素计算公式
	 */
	private String chemFormula;
	/**
	 * 是否必检项()1:是，0：否)
	 */
	private String ischeck;
	/**
	 * 是否判定(1:是，0：否)
	 */
	private String isjudge;
	/**
	 * 是否报出(1:是，0：否)
	 */
	private String isquote;
	/**
	 * 是否是复合标准项(1:是,0:不是)(标准值通过公式进行计算)
	 */
	private String complexType;
	/**
	 * 标准范围下限符号
	 */
	private String stdminSign;
	/**
	 * 标准范围下限
	 */
	private String stdmin;
	/**
	 * 标准范围上限符号
	 */
	private String stdmaxSign;
	/**
	 * 标准范围上限
	 */
	private String stdmax;
	/**
	 * 标准目标值
	 */
	private String stdtarget;
	/**
	 * 扣型代码(集合)
	 */
	private String modelCode;
	/**
	 * 扣型描述(集合)
	 */
	private String modelDesc;
	/**
	 * 标准备注
	 */
	private String stdmemo;
	/**
	 * 限制元素代码
	 */
	private String eleCode;
	/**
	 * 限制元素描述
	 */
	private String eleName;
	/**
	 * 限制元素下限符号
	 */
	private String eleMinSign;
	/**
	 * 限制元素下限
	 */
	private String eleMin;
	/**
	 * 限制元素上限符号
	 */
	private String eleMaxSign;
	/**
	 * 限制元素上限
	 */
	private String eleMax;
	/**
	 * 限制规格代码(外径、壁厚、径壁比等)
	 */
	private String sizeCode2;
	/**
	 * 限制规格描述
	 */
	private String sizeName2;
	/**
	 * 限制规格下限符号
	 */
	private String sizeMinSign2;
	/**
	 * 限制规格下限
	 */
	private String sizeMin2;
	/**
	 * 限制规格上限符号
	 */
	private String sizeMaxSign2;
	/**
	 * 限制规格上限
	 */
	private String sizeMax2;
	/**
	 * 限制规格代码(外径、壁厚、径壁比等)
	 */
	private String sizeCode;
	/**
	 * 限制规格描述
	 */
	private String sizeName;
	/**
	 * 限制规格下限符号
	 */
	private String sizeMinSign;
	/**
	 * 限制规格下限
	 */
	private String sizeMin;
	/**
	 * 限制规格上限符号
	 */
	private String sizeMaxSign;
	/**
	 * 限制规格上限
	 */
	private String sizeMax;
	/**
	 * 接箍规格代码(接箍专用，与外径壁厚只允许存在其一)
	 */
	private String specJg;
	/**
	 * 接箍规格描述
	 */
	private String specJgDesc;
	/**
	 * 有效标志(1:有效，0:无效)
	 */
	private String validflag;
	/**
	 * 创建人
	 */
	private String createName;
	/**
	 * 创建时间
	 */
	private String createTime;
	/**
	 * 修改人
	 */
	private String updateName;
	/**
	 * 修改时间
	 */
	private String updateTime;
	/**
	 * 删除人
	 */
	private String deleteName;
	/**
	 * 删除时间
	 */
	private String deleteTime;
	/**
	 * 替代元素代码
	 */
	private String repCode;
	/**
	 * 替代元素描述
	 */
	private String repName;
	/**
	 * 替代元素下限符号
	 */
	private String repMinSign;
	/**
	 * 替代元素下限
	 */
	private String repMin;
	/**
	 * 替代元素上限符号
	 */
	private String repMaxSign;
	/**
	 * 替代元素上限
	 */
	private String repMax;
	/**
	 * 替代元素值
	 */
	private String repVal;

	public SlmCustChemObject() {
		custAlphaNo = "";
		cic = "";
		indexSeq = "";
		chemCode = "";
		chemName = "";
		chemType = "";
		chemFormula = "";
		ischeck = "";
		isjudge = "";
		isquote = "";
		complexType = "";
		stdminSign = "";
		stdmin = "";
		stdmaxSign = "";
		stdmax = "";
		stdtarget = "";
		modelCode = "";
		modelDesc = "";
		stdmemo = "";
		eleCode = "";
		eleName = "";
		eleMinSign = "";
		eleMin = "";
		eleMaxSign = "";
		eleMax = "";
		sizeCode2 = "";
		sizeName2 = "";
		sizeMinSign2 = "";
		sizeMin2 = "";
		sizeMaxSign2 = "";
		sizeMax2 = "";
		sizeCode = "";
		sizeName = "";
		sizeMinSign = "";
		sizeMin = "";
		sizeMaxSign = "";
		sizeMax = "";
		specJg = "";
		specJgDesc = "";
		validflag = "";
		createName = "";
		createTime = "";
		updateName = "";
		updateTime = "";
		deleteName = "";
		deleteTime = "";
		repCode = "";
		repName = "";
		repMinSign = "";
		repMin = "";
		repMaxSign = "";
		repMax = "";
		repVal = "";
	}

	/**
	 * 客户Alpha编号
	 * 
	 * @return value
	 */
	public String getCustAlphaNo() {
		return custAlphaNo;
	}

	/**
	 * 客户Alpha编号
	 * 
	 * @param custAlphaNo
	 *            value
	 */
	public void setCustAlphaNo(String custAlphaNo) {
		this.custAlphaNo = custAlphaNo;
	}

	/**
	 * 成分标准索引号
	 * 
	 * @return value
	 */
	public String getCic() {
		return cic;
	}

	/**
	 * 成分标准索引号
	 * 
	 * @param cic
	 *            value
	 */
	public void setCic(String cic) {
		this.cic = cic;
	}

	/**
	 * 序号
	 * 
	 * @return value
	 */
	public String getIndexSeq() {
		return indexSeq;
	}

	/**
	 * 序号
	 * 
	 * @param indexSeq
	 *            value
	 */
	public void setIndexSeq(String indexSeq) {
		this.indexSeq = indexSeq;
	}

	/**
	 * 化学元素代码
	 * 
	 * @return value
	 */
	public String getChemCode() {
		return chemCode;
	}

	/**
	 * 化学元素代码
	 * 
	 * @param chemCode
	 *            value
	 */
	public void setChemCode(String chemCode) {
		this.chemCode = chemCode;
	}

	/**
	 * 化学元素描述
	 * 
	 * @return value
	 */
	public String getChemName() {
		return chemName;
	}

	/**
	 * 化学元素描述
	 * 
	 * @param chemName
	 *            value
	 */
	public void setChemName(String chemName) {
		this.chemName = chemName;
	}

	/**
	 * 化学元素类型(A:单一元素,B:复合元素)
	 * 
	 * @return value
	 */
	public String getChemType() {
		return chemType;
	}

	/**
	 * 化学元素类型(A:单一元素,B:复合元素)
	 * 
	 * @param chemType
	 *            value
	 */
	public void setChemType(String chemType) {
		this.chemType = chemType;
	}

	/**
	 * 复合元素计算公式
	 * 
	 * @return value
	 */
	public String getChemFormula() {
		return chemFormula;
	}

	/**
	 * 复合元素计算公式
	 * 
	 * @param chemFormula
	 *            value
	 */
	public void setChemFormula(String chemFormula) {
		this.chemFormula = chemFormula;
	}

	/**
	 * 是否必检项()1:是，0：否)
	 * 
	 * @return value
	 */
	public String getIscheck() {
		return ischeck;
	}

	/**
	 * 是否必检项()1:是，0：否)
	 * 
	 * @param ischeck
	 *            value
	 */
	public void setIscheck(String ischeck) {
		this.ischeck = ischeck;
	}

	/**
	 * 是否判定(1:是，0：否)
	 * 
	 * @return value
	 */
	public String getIsjudge() {
		return isjudge;
	}

	/**
	 * 是否判定(1:是，0：否)
	 * 
	 * @param isjudge
	 *            value
	 */
	public void setIsjudge(String isjudge) {
		this.isjudge = isjudge;
	}

	/**
	 * 是否报出(1:是，0：否)
	 * 
	 * @return value
	 */
	public String getIsquote() {
		return isquote;
	}

	/**
	 * 是否报出(1:是，0：否)
	 * 
	 * @param isquote
	 *            value
	 */
	public void setIsquote(String isquote) {
		this.isquote = isquote;
	}

	/**
	 * 是否是复合标准项(1:是,0:不是)(标准值通过公式进行计算)
	 * 
	 * @return value
	 */
	public String getComplexType() {
		return complexType;
	}

	/**
	 * 是否是复合标准项(1:是,0:不是)(标准值通过公式进行计算)
	 * 
	 * @param complexType
	 *            value
	 */
	public void setComplexType(String complexType) {
		this.complexType = complexType;
	}

	/**
	 * 标准范围下限符号
	 * 
	 * @return value
	 */
	public String getStdminSign() {
		return stdminSign;
	}

	/**
	 * 标准范围下限符号
	 * 
	 * @param stdminSign
	 *            value
	 */
	public void setStdminSign(String stdminSign) {
		this.stdminSign = stdminSign;
	}

	/**
	 * 标准范围下限
	 * 
	 * @return value
	 */
	public String getStdmin() {
		return stdmin;
	}

	/**
	 * 标准范围下限
	 * 
	 * @param stdmin
	 *            value
	 */
	public void setStdmin(String stdmin) {
		this.stdmin = stdmin;
	}

	/**
	 * 标准范围上限符号
	 * 
	 * @return value
	 */
	public String getStdmaxSign() {
		return stdmaxSign;
	}

	/**
	 * 标准范围上限符号
	 * 
	 * @param stdmaxSign
	 *            value
	 */
	public void setStdmaxSign(String stdmaxSign) {
		this.stdmaxSign = stdmaxSign;
	}

	/**
	 * 标准范围上限
	 * 
	 * @return value
	 */
	public String getStdmax() {
		return stdmax;
	}

	/**
	 * 标准范围上限
	 * 
	 * @param stdmax
	 *            value
	 */
	public void setStdmax(String stdmax) {
		this.stdmax = stdmax;
	}

	/**
	 * 标准目标值
	 * 
	 * @return value
	 */
	public String getStdtarget() {
		return stdtarget;
	}

	/**
	 * 标准目标值
	 * 
	 * @param stdtarget
	 *            value
	 */
	public void setStdtarget(String stdtarget) {
		this.stdtarget = stdtarget;
	}

	/**
	 * 扣型代码(集合)
	 * 
	 * @return value
	 */
	public String getModelCode() {
		return modelCode;
	}

	/**
	 * 扣型代码(集合)
	 * 
	 * @param modelCode
	 *            value
	 */
	public void setModelCode(String modelCode) {
		this.modelCode = modelCode;
	}

	/**
	 * 扣型描述(集合)
	 * 
	 * @return value
	 */
	public String getModelDesc() {
		return modelDesc;
	}

	/**
	 * 扣型描述(集合)
	 * 
	 * @param modelDesc
	 *            value
	 */
	public void setModelDesc(String modelDesc) {
		this.modelDesc = modelDesc;
	}

	/**
	 * 标准备注
	 * 
	 * @return value
	 */
	public String getStdmemo() {
		return stdmemo;
	}

	/**
	 * 标准备注
	 * 
	 * @param stdmemo
	 *            value
	 */
	public void setStdmemo(String stdmemo) {
		this.stdmemo = stdmemo;
	}

	/**
	 * 限制元素代码
	 * 
	 * @return value
	 */
	public String getEleCode() {
		return eleCode;
	}

	/**
	 * 限制元素代码
	 * 
	 * @param eleCode
	 *            value
	 */
	public void setEleCode(String eleCode) {
		this.eleCode = eleCode;
	}

	/**
	 * 限制元素描述
	 * 
	 * @return value
	 */
	public String getEleName() {
		return eleName;
	}

	/**
	 * 限制元素描述
	 * 
	 * @param eleName
	 *            value
	 */
	public void setEleName(String eleName) {
		this.eleName = eleName;
	}

	/**
	 * 限制元素下限符号
	 * 
	 * @return value
	 */
	public String getEleMinSign() {
		return eleMinSign;
	}

	/**
	 * 限制元素下限符号
	 * 
	 * @param eleMinSign
	 *            value
	 */
	public void setEleMinSign(String eleMinSign) {
		this.eleMinSign = eleMinSign;
	}

	/**
	 * 限制元素下限
	 * 
	 * @return value
	 */
	public String getEleMin() {
		return eleMin;
	}

	/**
	 * 限制元素下限
	 * 
	 * @param eleMin
	 *            value
	 */
	public void setEleMin(String eleMin) {
		this.eleMin = eleMin;
	}

	/**
	 * 限制元素上限符号
	 * 
	 * @return value
	 */
	public String getEleMaxSign() {
		return eleMaxSign;
	}

	/**
	 * 限制元素上限符号
	 * 
	 * @param eleMaxSign
	 *            value
	 */
	public void setEleMaxSign(String eleMaxSign) {
		this.eleMaxSign = eleMaxSign;
	}

	/**
	 * 限制元素上限
	 * 
	 * @return value
	 */
	public String getEleMax() {
		return eleMax;
	}

	/**
	 * 限制元素上限
	 * 
	 * @param eleMax
	 *            value
	 */
	public void setEleMax(String eleMax) {
		this.eleMax = eleMax;
	}

	/**
	 * 限制规格代码(外径、壁厚、径壁比等)
	 * 
	 * @return value
	 */
	public String getSizeCode2() {
		return sizeCode2;
	}

	/**
	 * 限制规格代码(外径、壁厚、径壁比等)
	 * 
	 * @param sizeCode2
	 *            value
	 */
	public void setSizeCode2(String sizeCode2) {
		this.sizeCode2 = sizeCode2;
	}

	/**
	 * 限制规格描述
	 * 
	 * @return value
	 */
	public String getSizeName2() {
		return sizeName2;
	}

	/**
	 * 限制规格描述
	 * 
	 * @param sizeName2
	 *            value
	 */
	public void setSizeName2(String sizeName2) {
		this.sizeName2 = sizeName2;
	}

	/**
	 * 限制规格下限符号
	 * 
	 * @return value
	 */
	public String getSizeMinSign2() {
		return sizeMinSign2;
	}

	/**
	 * 限制规格下限符号
	 * 
	 * @param sizeMinSign2
	 *            value
	 */
	public void setSizeMinSign2(String sizeMinSign2) {
		this.sizeMinSign2 = sizeMinSign2;
	}

	/**
	 * 限制规格下限
	 * 
	 * @return value
	 */
	public String getSizeMin2() {
		return sizeMin2;
	}

	/**
	 * 限制规格下限
	 * 
	 * @param sizeMin2
	 *            value
	 */
	public void setSizeMin2(String sizeMin2) {
		this.sizeMin2 = sizeMin2;
	}

	/**
	 * 限制规格上限符号
	 * 
	 * @return value
	 */
	public String getSizeMaxSign2() {
		return sizeMaxSign2;
	}

	/**
	 * 限制规格上限符号
	 * 
	 * @param sizeMaxSign2
	 *            value
	 */
	public void setSizeMaxSign2(String sizeMaxSign2) {
		this.sizeMaxSign2 = sizeMaxSign2;
	}

	/**
	 * 限制规格上限
	 * 
	 * @return value
	 */
	public String getSizeMax2() {
		return sizeMax2;
	}

	/**
	 * 限制规格上限
	 * 
	 * @param sizeMax2
	 *            value
	 */
	public void setSizeMax2(String sizeMax2) {
		this.sizeMax2 = sizeMax2;
	}

	/**
	 * 限制规格代码(外径、壁厚、径壁比等)
	 * 
	 * @return value
	 */
	public String getSizeCode() {
		return sizeCode;
	}

	/**
	 * 限制规格代码(外径、壁厚、径壁比等)
	 * 
	 * @param sizeCode
	 *            value
	 */
	public void setSizeCode(String sizeCode) {
		this.sizeCode = sizeCode;
	}

	/**
	 * 限制规格描述
	 * 
	 * @return value
	 */
	public String getSizeName() {
		return sizeName;
	}

	/**
	 * 限制规格描述
	 * 
	 * @param sizeName
	 *            value
	 */
	public void setSizeName(String sizeName) {
		this.sizeName = sizeName;
	}

	/**
	 * 限制规格下限符号
	 * 
	 * @return value
	 */
	public String getSizeMinSign() {
		return sizeMinSign;
	}

	/**
	 * 限制规格下限符号
	 * 
	 * @param sizeMinSign
	 *            value
	 */
	public void setSizeMinSign(String sizeMinSign) {
		this.sizeMinSign = sizeMinSign;
	}

	/**
	 * 限制规格下限
	 * 
	 * @return value
	 */
	public String getSizeMin() {
		return sizeMin;
	}

	/**
	 * 限制规格下限
	 * 
	 * @param sizeMin
	 *            value
	 */
	public void setSizeMin(String sizeMin) {
		this.sizeMin = sizeMin;
	}

	/**
	 * 限制规格上限符号
	 * 
	 * @return value
	 */
	public String getSizeMaxSign() {
		return sizeMaxSign;
	}

	/**
	 * 限制规格上限符号
	 * 
	 * @param sizeMaxSign
	 *            value
	 */
	public void setSizeMaxSign(String sizeMaxSign) {
		this.sizeMaxSign = sizeMaxSign;
	}

	/**
	 * 限制规格上限
	 * 
	 * @return value
	 */
	public String getSizeMax() {
		return sizeMax;
	}

	/**
	 * 限制规格上限
	 * 
	 * @param sizeMax
	 *            value
	 */
	public void setSizeMax(String sizeMax) {
		this.sizeMax = sizeMax;
	}

	/**
	 * 接箍规格代码(接箍专用，与外径壁厚只允许存在其一)
	 * 
	 * @return value
	 */
	public String getSpecJg() {
		return specJg;
	}

	/**
	 * 接箍规格代码(接箍专用，与外径壁厚只允许存在其一)
	 * 
	 * @param specJg
	 *            value
	 */
	public void setSpecJg(String specJg) {
		this.specJg = specJg;
	}

	/**
	 * 接箍规格描述
	 * 
	 * @return value
	 */
	public String getSpecJgDesc() {
		return specJgDesc;
	}

	/**
	 * 接箍规格描述
	 * 
	 * @param specJgDesc
	 *            value
	 */
	public void setSpecJgDesc(String specJgDesc) {
		this.specJgDesc = specJgDesc;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @return value
	 */
	public String getValidflag() {
		return validflag;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @param validflag
	 *            value
	 */
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 修改人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 修改人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 修改时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 删除人
	 * 
	 * @return value
	 */
	public String getDeleteName() {
		return deleteName;
	}

	/**
	 * 删除人
	 * 
	 * @param deleteName
	 *            value
	 */
	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	/**
	 * 删除时间
	 * 
	 * @return value
	 */
	public String getDeleteTime() {
		return deleteTime;
	}

	/**
	 * 删除时间
	 * 
	 * @param deleteTime
	 *            value
	 */
	public void setDeleteTime(String deleteTime) {
		this.deleteTime = deleteTime;
	}

	/**
	 * 替代元素代码
	 * 
	 * @return value
	 */
	public String getRepCode() {
		return repCode;
	}

	/**
	 * 替代元素代码
	 * 
	 * @param repCode
	 *            value
	 */
	public void setRepCode(String repCode) {
		this.repCode = repCode;
	}

	/**
	 * 替代元素描述
	 * 
	 * @return value
	 */
	public String getRepName() {
		return repName;
	}

	/**
	 * 替代元素描述
	 * 
	 * @param repName
	 *            value
	 */
	public void setRepName(String repName) {
		this.repName = repName;
	}

	/**
	 * 替代元素下限符号
	 * 
	 * @return value
	 */
	public String getRepMinSign() {
		return repMinSign;
	}

	/**
	 * 替代元素下限符号
	 * 
	 * @param repMinSign
	 *            value
	 */
	public void setRepMinSign(String repMinSign) {
		this.repMinSign = repMinSign;
	}

	/**
	 * 替代元素下限
	 * 
	 * @return value
	 */
	public String getRepMin() {
		return repMin;
	}

	/**
	 * 替代元素下限
	 * 
	 * @param repMin
	 *            value
	 */
	public void setRepMin(String repMin) {
		this.repMin = repMin;
	}

	/**
	 * 替代元素上限符号
	 * 
	 * @return value
	 */
	public String getRepMaxSign() {
		return repMaxSign;
	}

	/**
	 * 替代元素上限符号
	 * 
	 * @param repMaxSign
	 *            value
	 */
	public void setRepMaxSign(String repMaxSign) {
		this.repMaxSign = repMaxSign;
	}

	/**
	 * 替代元素上限
	 * 
	 * @return value
	 */
	public String getRepMax() {
		return repMax;
	}

	/**
	 * 替代元素上限
	 * 
	 * @param repMax
	 *            value
	 */
	public void setRepMax(String repMax) {
		this.repMax = repMax;
	}

	/**
	 * 替代元素值
	 * 
	 * @return value
	 */
	public String getRepVal() {
		return repVal;
	}

	/**
	 * 替代元素值
	 * 
	 * @param repVal
	 *            value
	 */
	public void setRepVal(String repVal) {
		this.repVal = repVal;
	}
}
